Skip to navigation

List TestOrder items

Beta
List TestOrder items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_method_execution_instance_idstringRequired
ID of the ProcedureMethodExecutionInstance.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

containerIds.anyOflist of stringsOptional

Returns test orders with containers matching any of the specified container IDs. Comma-separated list.

containerIds.eqstringOptional
Returns test orders with a container matching the specified container ID.
createdAt.gtstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

createdAt.gtestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.

createdAt.ltstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.ltestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.

id.anyOflist of stringsOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

modifiedAt.gtstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.

modifiedAt.gtestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.

modifiedAt.ltstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. < 2017-04-30.

modifiedAt.ltestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. <= 2017-04-30.

name.anyOflist of stringsOptional

Restricts results to those that match any of the specified names. Case insensitive. Warning - this filter can be non-performant due to case insensitivity. Ensure only one name filter is used at a time. Comma-separated list.

name.anyOf.caseSensitivelist of stringsOptional

Restricts results to those that match any of the specified names. Case sensitive. Ensure only one name filter is used at a time. Comma-separated list.

nextTokenstringOptional
Token for pagination
pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
procedureIds.anyOflist of stringsOptional

Returns test orders associated with any of the specified procedure IDs. Comma-separated list.

retestSourceProcedureMethodExecutionInstance.eqstringOptional
ID of a procedure method execution instance. Restricts results to retest orders created from it.
sampleIds.anyOflist of stringsOptional

Returns test orders with samples matching any of the specified sample IDs. Comma-separated list.

testOrderStatus.anyOflist of stringsOptional

Restricts results to test orders with any of the specified statuses. Comma-separated list.

sortenumOptionalDefaults to modifiedAt:desc

Method by which to order results. Valid sorts are: createdAt (created time, oldest first) and modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstring or nullOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error